package com.clx.performance.param.pc;

import com.msl.common.convertor.type.MoneyOutConvert;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;


@ApiModel(description = "货主充值")
@Getter
@Setter
@ToString
@NoArgsConstructor
public class OwnerTopUpParam {

    @ApiModelProperty(value = "货主用户编号", example = "123")
    private Long ownerUserNo;

    @ApiModelProperty(value = "充值金额（元）", example = "1.23")
    @MoneyOutConvert
    private BigDecimal topUpBalance;

    @ApiModelProperty(value = "充值类型： 1：保证金 2：预付运费", example = "1.23")
    private Integer topUpType;

    @ApiModelProperty(value = "状态 待审批:10 审批拒绝:20 审批通过：30", example = "10")
    private Integer status;

    @ApiModelProperty(value = "打款银行", example = "浙江银行")
    private String topUpBankName;

    @ApiModelProperty(value = "打款银行卡号", example = "62213545878787")
    private String topUpBankNumber;

    @ApiModelProperty(value = "打款凭证", example = "/a.png")
    private String topUpImg;

    @ApiModelProperty(value = "操作时间", example = "2023-01-01 00:00:00")
    private String createTime;

    @ApiModelProperty(value = "操作人", example = "张三")
    private String createBy;

    @ApiModelProperty(value = "审批时间", example = "2023-01-01 00:00:00")
    private String approvalTime;

    @ApiModelProperty(value = "审批人", example = "管理员")
    private String approvalBy;

}